POST Create Customer Accounts Vehicle

​

Endpoint will create customer accounts vehicle

Path Parameters

  • Customer account UUID

Headers

  • Request ID

  • Application key

  • Accept header

  • Api version

  • Authorization header

Body

application/json

Responses

  • application/json
  • Bad Request

  • Unauthorized

  • Forbidden

  • Not Found

Request Example for post/customer-accounts/{customer_account_id}/vehicles
curl https://api-public-demo.menu.app/api/customer-accounts/4e42c2a6-3f23-11ed-936c-1a67b454859d/vehicles \
  --request POST \
  --header 'X-Request-ID: ' \
  --header 'Application: ' \
  --header 'Accept: appliction/json' \
  --header 'API-version: 5.0.0' \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "brand_and_model": "Fiat Bravo 1.9 MJET",
  "color": "Gray",
  "license_plate_number": "CA102FX"
}'
{
  "status": "OK",
  "code": 200,
  "data": [
    {
      "id": "7dada664-6074-4c3d-ba75-250b142b6913",
      "customer_account_id": "69f8ad44-3f23-11ed-936c-1a67b454859d",
      "brand_and_model": "Fiat bravo",
      "color": "Gray",
      "license_plate_number": "CA102FX"
    }
  ]
}